bootJar {
    archiveFileName = 'notification.jar'
}

bootRun {
    // 환경 변수를 Spring Boot 애플리케이션에 전달
    environment = System.getenv()
}

dependencies {
    // Email
    implementation 'org.springframework.boot:spring-boot-starter-mail'

    // Thymeleaf for email templates
    implementation 'org.springframework.boot:spring-boot-starter-thymeleaf'

    // Spring Retry
    implementation 'org.springframework.retry:spring-retry'
    implementation 'org.springframework:spring-aspects'

    // Azure Blob Storage
    implementation "com.azure:azure-storage-blob:${azureBlobVersion}"

    // Azure Event Hubs
    implementation "com.azure:azure-messaging-eventhubs:${azureEventHubsVersion}"

    // Azure Event Hubs Checkpoint Store
    implementation "com.azure:azure-messaging-eventhubs-checkpointstore-blob:${azureEventHubsCheckpointVersion}"

    // H2 Database (for development)
    runtimeOnly 'com.h2database:h2'
}
